Bug 591567 - [RFE] Support cluster-wide leases on files in gfs2
Summary: [RFE] Support cluster-wide leases on files in gfs2
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Whitehouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 812133
TreeView+ depends on / blocked
 
Reported: 2010-05-12 14:58 UTC by Simo Sorce
Modified: 2014-06-18 08:04 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Old rhel4 patches to implement cluster-leases (6.43 KB, application/x-gzip)
2010-05-14 23:33 UTC, Abhijith Das
no flags Details

Description Simo Sorce 2010-05-12 14:58:45 UTC
In order to be able to server files over multiple protocols like SMB(2) / NFSv4, on active/active clusters (using CTDB for example), it is necessary to have support for cluster wide leases so that oplocks/delegations can be granted to clients.

Without gfs2 support you can't correctly grant oplocks/delegations to clients without risking file corruption.

Comment 2 Abhijith Das 2010-05-14 23:33:32 UTC
Created attachment 414191 [details]
Old rhel4 patches to implement cluster-leases

I wrote this patchset for rhel4 gfs way back in 2006. I'm just posting it here so we can borrow ideas from it if necessary. From what I remember about this, there were multiple glocks per inode to be held during open/close and this introduced a fair amount of overhead. We shelved the patchset due to this overhead and also because not many people (except samba) were wanting to use it.


Note You need to log in before you can comment on or make changes to this bug.